> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/developer-tools/next-js/sdk-reference/useproduct.md).

# useProduct

{% hint style="info" %}
**This page's documentation only applies to Chord's** [**Next.js starter**](https://github.com/chordcommerce/nextjs-starter-autonomy) **prior to the release of the** [React](/chord-oms/developer-tools/react.md)**. The Next.js starter now uses the React SDK and does not use the methods documented on this page. Check out the** [**React SDK Reference**](https://docs-beta.chord.co/chord-ui/module-react-autonomy) **for complete documentation, and the** [React SDK Migration Guide](/chord-oms/developer-tools/next-js/guides/react-sdk-migration-guide.md)**for details on how to upgrade.**
{% endhint %}

The `useProduct` hook returns a set of functions for product-related operations.

## Example

```javascript
import { useProduct } from '~/hooks/actions'

// inside a function component
const { createStockRequest } = useProduct()
```

## Returns

The `useProduct` hook returns an object with these properties:

| Property             | Description |
| -------------------- | ----------- |
| `createStockRequest` |             |

## Functions

### createStockRequest

The `createStockRequest` adds the customer to a product variant wait list in the OMS. When the variant is marked back in stock, customers on the wait list will automatically receive an email notification.

**Arguments:**

`createStockRequest(options)`

| Argument        | Type   | Description                                                              |
| --------------- | ------ | ------------------------------------------------------------------------ |
| `options.email` | String | The email address to sent an email to when the variant is back in stock. |
| `options.sku`   | String | The variant SKU.                                                         |
| `options.slug`  | String | *For kits only,* the slug of the kit.                                    |

**Returns:**

`Promise<void>`: A Promise that resolves when the stock request has been created.

**Example:**

```javascript
import { useProduct } from '~/hooks/actions'

export default () => {
  const { createStockRequest } = useProduct()
  await createStockRequest({ email, sku })
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/developer-tools/next-js/sdk-reference/useproduct.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
